Package org.eclipse.rdf4j.http.protocol

## Enum Protocol.TIMEOUT

- java.lang.Object
- - java.lang.Enum<Protocol.TIMEOUT>
  - - org.eclipse.rdf4j.http.protocol.Protocol.TIMEOUT

- All Implemented Interfaces:
    `Serializable`, `Comparable<Protocol.TIMEOUT>`
  Enclosing class:
    Protocol

      @Deprecated
      public static enum Protocol.TIMEOUT
      extends Enum<Protocol.TIMEOUT>

  Deprecated.
  Use an enum to allow ActiveTransactionRegistry enum to access the static values. This is necessary because enum are initialize before static fields.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CACHE` | Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CACHE_PROPERTY` | Deprecated. Configurable system property `rdf4j.server.txn.registry.timeout` for specifying the transaction cache timeout (in seconds).
    `static int` | `DEFAULT` | Deprecated. Default timeout setting for transaction cache entries (in seconds).

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Protocol.TIMEOUT` | `valueOf​(String name)` | Deprecated. Returns the enum constant of this type with the specified name.
    `static Protocol.TIMEOUT[]` | `values()` | Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CACHE

          public static final Protocol.TIMEOUT CACHE

      Deprecated.

  - ### Field Detail

    - #### CACHE_PROPERTY

          public static final String CACHE_PROPERTY

      Deprecated.
      Configurable system property `rdf4j.server.txn.registry.timeout` for specifying the transaction cache timeout (in seconds).
      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final int DEFAULT

      Deprecated.
      Default timeout setting for transaction cache entries (in seconds).
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static Protocol.TIMEOUT[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Protocol.TIMEOUT c : Protocol.TIMEOUT.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Protocol.TIMEOUT valueOf​(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null